# Char Randomizer Plugin

This unofficial TaleSpire plugin for randomly determining items from a list.
Supports real time lists and named pre-configured lists.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
3.0.0: Added multiple randomization per request
3.0.0: Added optional named randomization
3.0.0: Added added soft dependency for chat whisper so result can be whispered
2.1.3: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

There are two types of rolls. Generic rolls and Named rolls. Each of which can use pre-defined rolls (configured in a
configuration file ahead of time) or real-time list (specified when rolling).

To perform a generic roll, use the ``/cr`` (Custom Roll) function. For example:

``/cr RPS`` 

or

``/cr Rock Paper Scissors``

To perform a named roll, use the ``/cnr`` (Custom Named Roll) function. For example:

``/cnr Gesture RPS`` 

or

``/cnr Gecture Rock Paper Scissors``

When using the named functionality the first item in the list is treated as the name. This is what is displayed instead
of "Roll" when displaying the result. It should be noted that if the verbose setting is turned off the result is not
prefixed by the name but a cnr roll will still consume the first entry for the name.

### Multiple Rolls

Multiple rolls can be requested in a single request by separating the rolls with a ``/`` character. Note that if using
the custom named roll, a new name is used for each set of randomize options. For example:

``/cr Miss Hit / Low Med High``

or

``/cnr Attack Miss Hit / Damage Low Med High``
 
### Whisper Rolls

This plugin is compatible with Chat Whisper plugin if it is installed. You can whisper the results of a roll to another
user that has the Chat Whisper plugin installed. For example,

``/w GM /cr Rock Paper Scissors``

See the Chat Whisper plugin for more details on using Chat Whisper. 
 
### Pre-Configure Lists

To make rolling dice with a complex number of sides easier, custom dice can be defined in the ``Custom_Dice.json`` file.
The file is a JSON with the roll name as the key and the roll sides as the value. For example:
```
{
	"RPS": "Rock Paper Scissors",
	"Half6": "- - - 0 0 0",
	"TriTen": "0 0 0 0 1 1 1 1 1 2"
}
```
To roll a named roll, use the cr (Custom Roll) command. Type: ``/cr name`` such as ``/cr RPS``.
